<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_VehAvailVendorRQ StructType
 * @package Dg
 * @subpackage Structs
 */
class DgOTA_VehAvailVendorRQ extends AbstractStructBase
{
    /**
     * The VendorID
     * Meta informations extracted from the WSDL
     * - use: required
     * @var int
     */
    public $VendorID;
    /**
     * Constructor method for OTA_VehAvailVendorRQ
     * @uses DgOTA_VehAvailVendorRQ::setVendorID()
     * @param int $vendorID
     */
    public function __construct($vendorID = null)
    {
        $this
            ->setVendorID($vendorID);
    }
    /**
     * Get VendorID value
     * @return int
     */
    public function getVendorID()
    {
        return $this->VendorID;
    }
    /**
     * Set VendorID value
     * @param int $vendorID
     * @return \dgsoft\StructType\DgOTA_VehAvailVendorRQ
     */
    public function setVendorID($vendorID = null)
    {
        // validation for constraint: int
        if (!is_null($vendorID) && !is_numeric($vendorID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($vendorID)), __LINE__);
        }
        $this->VendorID = $vendorID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgOTA_VehAvailVendorRQ
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
